summaryrefslogtreecommitdiff
path: root/app-office/texstudio
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /app-office/texstudio
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'app-office/texstudio')
-rw-r--r--app-office/texstudio/Manifest4
-rw-r--r--app-office/texstudio/files/texstudio-4.9.3-missing_includes.patch15
-rw-r--r--app-office/texstudio/files/texstudio-4.9.3-respect_qtver.patch19
-rw-r--r--app-office/texstudio/metadata.xml17
-rw-r--r--app-office/texstudio/texstudio-4.9.0.ebuild93
-rw-r--r--app-office/texstudio/texstudio-4.9.2.ebuild95
-rw-r--r--app-office/texstudio/texstudio-4.9.3.ebuild101
-rw-r--r--app-office/texstudio/texstudio-4.9.4.ebuild93
8 files changed, 437 insertions, 0 deletions
diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
new file mode 100644
index 000000000000..798700d61b5a
--- /dev/null
+++ b/app-office/texstudio/Manifest
@@ -0,0 +1,4 @@
+DIST texstudio-4.9.0.tar.gz 115744141 BLAKE2B 8ce584ac8c1eb37252f42a2dce24dc93c06f76e7876de792c722875e0720344873352939f7239922c19b99b4a0b85dd26f97b95a2eba22a411824fb868551bc8 SHA512 06226e767d007137e08378a4f4a73c508c34db47eb20bb333152d044096dc3e5aecba44bef02ee1168ce35699af22bf5a8d4ffe1777df35015c967f2c011aa3e
+DIST texstudio-4.9.2.tar.gz 115969502 BLAKE2B 3f0a4713ecfcb0814dddc4725a9bfcea1f0f40bbdfc52385b29bcc3ea01dea0c288db1ef6294c8b8e78ca523732c3ce600e98b1287bab09822977eca8e21da3b SHA512 a76dffe2abdb08e8875819ba22bf24a82a96af0616451b6fc2a870b32828e3029754c623eb3459934244ed2af7f47369ac7fdcfb0787c077508b73534c355cf7
+DIST texstudio-4.9.3.tar.gz 116665114 BLAKE2B 567da62b40ff5b04cc3855fb7b907b57a5a3456e28be618046ba627433ce30b40fe380442fa0cc02bce3dbeb44e0442ac914063edb4f86a31b765bae218d43b1 SHA512 77cab9d783615eb3a1d1ee782f961fd3dfe45120322b9f313c65b78b341f89559acd2cb6148f83b0d151b25cde16417a56a11ff7b48f2b07443376bab726eb73
+DIST texstudio-4.9.4.tar.gz 119303833 BLAKE2B 61375fbcc544620775e1a2abadd5cb640e4ddf966d430268b0961e7e4954a5ef5e230c5ee450cad6ccadaf094ec4f308a637311cb3def1efb1a2a1c813952a24 SHA512 ca1b237a181697cec02459e3e093c444244de2c8933715e5599ef21ed657874b37f1faf0fbccea17da049118e5671f094d384eb7e68e633e78ce86927ced2ecc
diff --git a/app-office/texstudio/files/texstudio-4.9.3-missing_includes.patch b/app-office/texstudio/files/texstudio-4.9.3-missing_includes.patch
new file mode 100644
index 000000000000..37d8c4fd93ab
--- /dev/null
+++ b/app-office/texstudio/files/texstudio-4.9.3-missing_includes.patch
@@ -0,0 +1,15 @@
+PR merged https://github.com/texstudio-org/texstudio/pull/4393.patch
+add missing includes
+--- a/src/chatdelegate.cpp
++++ b/src/chatdelegate.cpp
+@@ -1,7 +1,10 @@
+ #include "chatdelegate.h"
++#include <QApplication>
++#include <QClipboard>
+ #include <QPainter>
+ #include <QTextDocument>
+ #include <QTextCursor>
++#include <QToolTip>
+ #include <QAbstractTextDocumentLayout>
+
+ void ChatDelegate::paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const
diff --git a/app-office/texstudio/files/texstudio-4.9.3-respect_qtver.patch b/app-office/texstudio/files/texstudio-4.9.3-respect_qtver.patch
new file mode 100644
index 000000000000..4946645d03fb
--- /dev/null
+++ b/app-office/texstudio/files/texstudio-4.9.3-respect_qtver.patch
@@ -0,0 +1,19 @@
+PR merged https://github.com/texstudio-org/texstudio/pull/4394.patch
+see https://bugs.gentoo.org/940747
+check Qt${QT_VERSION_MAJOR} at first to respect an exported value of QT_VERSION_MAJOR
+and avoid conflict if both Qt5/Qt6 are installed
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -57,7 +57,11 @@ if(WIN32 AND NOT MSVC)
+ #add_compile_options(-Wa,-mbig-obj)
+ endif()
+
+-find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
++if(QT_VERSION_MAJOR)
++ find_package(QT NAMES Qt${QT_VERSION_MAJOR} COMPONENTS Widgets LinguistTools REQUIRED)
++else()
++ find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
++endif()
+ find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Xml Concurrent Widgets UiTools REQUIRED)
+ find_package(Qt${QT_VERSION_MAJOR} COMPONENTS PrintSupport Svg Qml REQUIRED)
+ if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
diff --git a/app-office/texstudio/metadata.xml b/app-office/texstudio/metadata.xml
new file mode 100644
index 000000000000..53787504e416
--- /dev/null
+++ b/app-office/texstudio/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>tex@gentoo.org</email>
+ <name>Gentoo TeX Project</name>
+ </maintainer>
+ <use>
+ <flag name="qtermwidget">Enable terminal pane using <pkg>x11-libs/qtermwidget</pkg>
+ </flag>
+ <flag name="video">Enable video player in pdf files</flag>
+ </use>
+ <upstream>
+ <changelog>https://github.com/texstudio-org/texstudio/blob/master/utilities/manual/source/CHANGELOG.md</changelog>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/app-office/texstudio/texstudio-4.9.0.ebuild b/app-office/texstudio/texstudio-4.9.0.ebuild
new file mode 100644
index 000000000000..a47c795a7a3f
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.9.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop optfeature xdg
+
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+# MIT: To Title Case
+# LGPL-2: Crystal Project
+# CC-BY-SA-3.0: Oxygen icon theme
+# CC0-1.0: Colibre icon theme
+LICENSE="GPL-3 MIT LGPL-2 CC-BY-SA-3.0 CC0-1.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
+IUSE="video"
+
+DEPEND="
+ app-text/hunspell:=
+ app-text/poppler:=[qt6]
+ >=dev-libs/quazip-1.3-r2:0=[qt6(+)]
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets,xml]
+ dev-qt/qtdeclarative:6
+ dev-qt/qtsvg:6
+ dev-qt/qttools:6[widgets]
+ virtual/zlib:=
+ x11-libs/libX11
+ video? ( dev-qt/qtmultimedia:6 )
+"
+RDEPEND="
+ ${DEPEND}
+ virtual/latex-base
+"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ local dir
+ for dir in src/quazip src/hunspell utilities/poppler-data; do
+ rm -r "${dir}" || die "Failed to delete ${dir}"
+ done
+
+ # https://bugs.gentoo.org/940747
+ sed -i 's/Qt5 //' CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DQT_VERSION_MAJOR=6
+ # already exists in ::gentoo, useful only for win
+ -DTEXSTUDIO_BUILD_ADWAITA=NO
+ -DTEXSTUDIO_ENABLE_MEDIAPLAYER=$(usex video)
+ # it requires debug and make changes in the UI
+ # see #940928
+ -DTEXSTUDIO_ENABLE_TESTS=NO
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ # manually set docdir to use a subdir for html
+ # and avoid the path /usr/share/doc/texstudio
+ local DOCS+=( utilities/{AUTHORS,COPYING,manual/source/CHANGELOG.md} )
+ local HTML_DOCS+=( utilities/*.{html,css} utilities/manual/build/html/. )
+ cmake_src_install
+
+ # remove the wrong path
+ rm -r "${ED}"/usr/share/doc/texstudio || die
+
+ local i
+ for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+ newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+ done
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "conversion tools" app-text/ghostscript-gpl
+ optfeature "PostScript tools" app-text/psutils
+ optfeature "graphic tools" media-libs/netpbm
+ optfeature "automation" dev-tex/latexmk
+ optfeature "XeLaTex engine" dev-texlive/texlive-xetex
+ optfeature "the vector graphics language (.asy)" media-gfx/asymptote
+}
diff --git a/app-office/texstudio/texstudio-4.9.2.ebuild b/app-office/texstudio/texstudio-4.9.2.ebuild
new file mode 100644
index 000000000000..575162210442
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.9.2.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop optfeature xdg
+
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+# MIT: To Title Case
+# LGPL-2: Crystal Project
+# CC-BY-SA-3.0: Oxygen icon theme
+# CC0-1.0: Colibre icon theme
+LICENSE="GPL-3 MIT LGPL-2 CC-BY-SA-3.0 CC0-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="qtermwidget video"
+
+DEPEND="
+ app-text/hunspell:=
+ app-text/poppler:=[qt6]
+ >=dev-libs/quazip-1.3-r2:0=[qt6(+)]
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets,xml]
+ dev-qt/qtdeclarative:6
+ dev-qt/qtsvg:6
+ dev-qt/qttools:6[widgets]
+ virtual/zlib:=
+ x11-libs/libX11
+ qtermwidget? ( >=x11-libs/qtermwidget-2.0.0:= )
+ video? ( dev-qt/qtmultimedia:6 )
+"
+RDEPEND="
+ ${DEPEND}
+ virtual/latex-base
+"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ local dir
+ for dir in src/quazip src/hunspell utilities/poppler-data; do
+ rm -r "${dir}" || die "Failed to delete ${dir}"
+ done
+
+ # https://bugs.gentoo.org/940747
+ sed -i 's/Qt5 //' CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DQT_VERSION_MAJOR=6
+ # already exists in ::gentoo, useful only for win
+ -DTEXSTUDIO_BUILD_ADWAITA=NO
+ -DTEXSTUDIO_ENABLE_MEDIAPLAYER=$(usex video)
+ # it requires debug and make changes in the UI
+ # see #940928
+ -DTEXSTUDIO_ENABLE_TESTS=NO
+ $(cmake_use_find_package qtermwidget QTermWidget)
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ # manually set docdir to use a subdir for html
+ # and avoid the path /usr/share/doc/texstudio
+ local DOCS+=( utilities/{AUTHORS,COPYING,manual/source/CHANGELOG.md} )
+ local HTML_DOCS+=( utilities/*.{html,css} utilities/manual/build/html/. )
+ cmake_src_install
+
+ # remove the wrong path
+ rm -r "${ED}"/usr/share/doc/texstudio || die
+
+ local i
+ for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+ newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+ done
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "conversion tools" app-text/ghostscript-gpl
+ optfeature "PostScript tools" app-text/psutils
+ optfeature "graphic tools" media-libs/netpbm
+ optfeature "automation" dev-tex/latexmk
+ optfeature "XeLaTex engine" dev-texlive/texlive-xetex
+ optfeature "the vector graphics language (.asy)" media-gfx/asymptote
+}
diff --git a/app-office/texstudio/texstudio-4.9.3.ebuild b/app-office/texstudio/texstudio-4.9.3.ebuild
new file mode 100644
index 000000000000..07052e834aec
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.9.3.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop optfeature xdg
+
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+# MIT: To Title Case
+# LGPL-2: Crystal Project
+# CC-BY-SA-3.0: Oxygen icon theme
+# CC0-1.0: Colibre icon theme
+LICENSE="GPL-3 MIT LGPL-2 CC-BY-SA-3.0 CC0-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="qtermwidget video"
+
+DEPEND="
+ app-text/hunspell:=
+ app-text/poppler:=[qt6]
+ >=dev-libs/quazip-1.3-r2:0=[qt6(+)]
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets,xml]
+ dev-qt/qtdeclarative:6
+ dev-qt/qtsvg:6
+ dev-qt/qttools:6[widgets]
+ virtual/zlib:=
+ x11-libs/libX11
+ qtermwidget? ( >=x11-libs/qtermwidget-2.0.0:= )
+ video? ( dev-qt/qtmultimedia:6 )
+"
+RDEPEND="
+ ${DEPEND}
+ virtual/latex-base
+"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ # PR merged https://github.com/texstudio-org/texstudio/pull/4393.patch
+ "${FILESDIR}"/${P}-missing_includes.patch
+ # https://bugs.gentoo.org/940747
+ # PR merged https://github.com/texstudio-org/texstudio/pull/4394.patch
+ "${FILESDIR}"/${P}-respect_qtver.patch
+)
+
+src_prepare() {
+ # avoid bundled libs as a fallback
+ local dir
+ for dir in src/quazip src/hunspell utilities/poppler-data; do
+ rm -r "${dir}" || die "Failed to delete ${dir}"
+ done
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DQT_VERSION_MAJOR=6
+ # already exists in ::gentoo, useful only for win
+ -DTEXSTUDIO_BUILD_ADWAITA=NO
+ -DTEXSTUDIO_ENABLE_MEDIAPLAYER=$(usex video)
+ # it requires debug and make changes in the UI
+ # see #940928
+ -DTEXSTUDIO_ENABLE_TESTS=NO
+ $(cmake_use_find_package qtermwidget QTermWidget)
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ # manually set docdir to use a subdir for html
+ # and avoid the path /usr/share/doc/texstudio
+ local DOCS+=( utilities/{AUTHORS,COPYING,manual/source/CHANGELOG.md} )
+ local HTML_DOCS+=( utilities/*.{html,css} utilities/manual/build/html/. )
+ cmake_src_install
+
+ # remove the wrong path
+ rm -r "${ED}"/usr/share/doc/texstudio || die
+
+ local i
+ for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+ newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+ done
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "conversion tools" app-text/ghostscript-gpl
+ optfeature "PostScript tools" app-text/psutils
+ optfeature "graphic tools" media-libs/netpbm
+ optfeature "automation" dev-tex/latexmk
+ optfeature "XeLaTex engine" dev-texlive/texlive-xetex
+ optfeature "the vector graphics language (.asy)" media-gfx/asymptote
+}
diff --git a/app-office/texstudio/texstudio-4.9.4.ebuild b/app-office/texstudio/texstudio-4.9.4.ebuild
new file mode 100644
index 000000000000..ad8dc016a500
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.9.4.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop optfeature xdg
+
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+# MIT: To Title Case
+# LGPL-2: Crystal Project
+# CC-BY-SA-3.0: Oxygen icon theme
+# CC0-1.0: Colibre icon theme
+LICENSE="GPL-3 MIT LGPL-2 CC-BY-SA-3.0 CC0-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="qtermwidget video"
+
+DEPEND="
+ app-text/hunspell:=
+ app-text/poppler:=[qt6]
+ >=dev-libs/quazip-1.3-r2:0=[qt6(+)]
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,gui,network,widgets,xml]
+ dev-qt/qtdeclarative:6
+ dev-qt/qtsvg:6
+ dev-qt/qttools:6[widgets]
+ virtual/zlib:=
+ x11-libs/libX11
+ qtermwidget? ( >=x11-libs/qtermwidget-2.0.0:= )
+ video? ( dev-qt/qtmultimedia:6 )
+"
+RDEPEND="
+ ${DEPEND}
+ virtual/latex-base
+"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ # avoid bundled libs as a fallback
+ local dir
+ for dir in src/quazip src/hunspell utilities/poppler-data; do
+ rm -r "${dir}" || die "Failed to delete ${dir}"
+ done
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DQT_VERSION_MAJOR=6
+ # already exists in ::gentoo, useful only for win
+ -DTEXSTUDIO_BUILD_ADWAITA=NO
+ -DTEXSTUDIO_ENABLE_MEDIAPLAYER=$(usex video)
+ # it requires debug and make changes in the UI
+ # see #940928
+ -DTEXSTUDIO_ENABLE_TESTS=NO
+ $(cmake_use_find_package qtermwidget QTermWidget)
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ # manually set docdir to use a subdir for html
+ # and avoid the path /usr/share/doc/texstudio
+ local DOCS+=( utilities/{AUTHORS,COPYING,manual/source/CHANGELOG.md} )
+ local HTML_DOCS+=( utilities/*.{html,css} utilities/manual/build/html/. )
+ cmake_src_install
+
+ # remove the wrong path
+ rm -r "${ED}"/usr/share/doc/texstudio || die
+
+ local i
+ for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+ newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+ done
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "conversion tools" app-text/ghostscript-gpl
+ optfeature "PostScript tools" app-text/psutils
+ optfeature "graphic tools" media-libs/netpbm
+ optfeature "automation" dev-tex/latexmk
+ optfeature "XeLaTex engine" dev-texlive/texlive-xetex
+ optfeature "the vector graphics language (.asy)" media-gfx/asymptote
+}